-- DML

INSERT INTO ROLES(ID, ROLE_NAME)
VALUES (1, 'SERVICE');
INSERT INTO ROLES(ID, ROLE_NAME)
VALUES (2, 'USER');
INSERT INTO ROLES(ID, ROLE_NAME)
VALUES (3, 'VENDOR');

INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('SERVICE', 'SERVICE@ROAD-HELP.COM', 'SERVICE', '+123 456 789 00', 1);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ANDREW', 'andrewgurskiy8@gmail.com', '123456789', '+45 845 545 177', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('MARK', '8@gmail.com', '123456789', '+45 845 545 177', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('JOHN', 'JOHN8@gmail.com', '123456789', '+45 845 545 177', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ALEXANDER', 'andrei.hurski92@gmail.com', '1111', '+375 29 248 38 00', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ALEX', 'alex@gmail.com', '1111', '+375 29 562 38 08', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('NICK', 'nick@gmail.com', '1111', '+375 29 258 38 10', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('MICK', 'mick@gmail.com', '1111', '+375 29 248 38 40', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('SAM', 'sam@gmail.com', '1111', '+375 33 111 38 20', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('JAKE', 'jake@gmail.com', '1111', '+375 29 548 38 05', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('DON', 'don.don@gmail.com', '1111', '+375 29 248 38 00', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('TARAKAN', 'tarakan@gmail.com', '1111', '+375 29 248 38 00', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('BORIS', 'boris@gmail.com', '1111', '+48 25 22 513 47', 3);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('JOHN', 'JOHN18@gmail.com', '123456789', '+45 845 545 177', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ALEXANDER', 'andrei.hurski192@gmail.com', '1111', '+375 29 248 38 00', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('ALEX', 'alex1@gmail.com', '1111', '+375 29 562 38 08', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('NICK', 'nick1@gmail.com', '1111', '+375 29 258 38 10', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('MICK', 'mick1@gmail.com', '1111', '+375 29 248 38 40', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('SAM', 'sam1@gmail.com', '1111', '+375 33 111 38 20', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('JAKE', 'jake1@gmail.com', '1111', '+375 29 548 38 05', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('DON', 'don.don1@gmail.com', '1111', '+375 29 248 38 00', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('TARAKAN', 'tarakan1@gmail.com', '1111', '+375 29 248 38 00', 2);
INSERT INTO USERS(NAME, EMAIL, PASSWORD, PHONE, ROLE_ID)
VALUES ('BORIS', 'boris1@gmail.com', '1111', '+48 25 22 513 47', 2);

INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (4, 'Engine do not run', 'VW', 'PASSAT', 1200, 'WASHINGTON DC', 'NY', true);
INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (5, 'Wheel is over', 'mercedes', 'e220', 1550, 'WASHINGTON DC', 'WARSAW', true);
INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (5, 'Car has crash by meeting with tree)', 'bmw', 'm5', 1400, 'NY', 'WASHINGTON DC', true);
INSERT INTO INCIDENTS(USER_ID, DESCRIPTION, CAR_BRAND, CAR_MODEL, CAR_WEIGHT, LOC_FROM, LOC_TO, IN_ORDER)
VALUES (5, 'Window is crash', 'audi', 'A6', 1400, 'NY', 'WASHINGTON DC', false);

INSERT INTO ORDERS(DATE, VENDOR_ID, INCIDENT_ID, PRICE, STATUS)
VALUES (TIMESTAMP WITH TIME ZONE '2008-01-01 12:08:00+01:00', 2, 1, 234.45, 'COMPLETED');
INSERT INTO ORDERS(DATE, VENDOR_ID, INCIDENT_ID, PRICE, STATUS)
VALUES (TIMESTAMP WITH TIME ZONE '2005-02-01 18:10:00+01:00', 2, 2, 1000, 'IN_PROCESS');
INSERT INTO ORDERS(DATE, VENDOR_ID, INCIDENT_ID, PRICE, STATUS)
VALUES (TIMESTAMP WITH TIME ZONE '2020-01-08 15:02:00+01:00', 2, 3, 234.40, 'IN_PROCESS');

INSERT INTO PROPOSALS(VENDOR_ID, INCIDENT_ID, PRICE)
VALUES (2, 4, 234.40);

INSERT INTO VENDOR_STATUS(VENDOR_ID, STATUS)
VALUES (2, 'VERIFY');
INSERT INTO VENDOR_STATUS(VENDOR_ID, STATUS)
VALUES (3, 'ON_VERIFICATION');

INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Mercedes-benz');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('BMW');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Jaguar');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Alfa Romeo');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Ferrari');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Volkswagen');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Suzuki');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Audi');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Opel');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Volvo');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Mitsubishi');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Maserati');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Chevrolet');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Chrysler');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Skoda');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Seat');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Cadillac');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Ford');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Porsche');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Honda');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Toyota');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Kia');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Peugeot');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Saab');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Dodge');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Renault');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('LandRover');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Ssangyong');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Subaru');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Tesla');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Citroen');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Lamborghini');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Bentley');
INSERT INTO CAR_BRANDS(BRAND_NAME)
VALUES ('Nissan');

INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W116');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W126');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W123');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W124');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W210');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W211');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W212');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W213');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W201');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W202');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W203');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W204');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W205');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W206');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W163');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W164');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'W166');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (1,'X166');
VALUES (1,'W463');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E34');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E28');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E30');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E32');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E38');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E60');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E66');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E90');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (2,'E92');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (3,'XJ');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (3,'XF');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (3,'FX');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (3,'MX');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (3,'RX');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (4,'156');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (4,'159');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (4,'Brera');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (4,'147');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (4,'166');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (5,'488');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (5,'f40');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (5,'458');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B2');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B3');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B4');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B5');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B6');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B7');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B8');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (6,'Passat B9');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (7,'Balleno');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'80');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'90');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'100');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'A4');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'A6');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'A8');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'R8');
INSERT INTO CAR_MODELS(BRAND,MODEL_NAME)
VALUES (8,'TT');